commit:     694c1cb626b6361f9cca75bbba49354bd7a4eabb
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  1 17:53:16 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Nov  2 11:47:12 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=694c1cb6

dev-python/pbr: Fix sandbox failures during test

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pbr/pbr-1.8.1.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-python/pbr/pbr-1.8.1.ebuild b/dev-python/pbr/pbr-1.8.1.ebuild
index 83455bd..8fa4acb 100644
--- a/dev-python/pbr/pbr-1.8.1.ebuild
+++ b/dev-python/pbr/pbr-1.8.1.ebuild
@@ -52,6 +52,9 @@ python_prepare_all() {
        sed -e s':test_command_hooks:_&:' \
                -e s':test_global_setup_hooks:_&:' \
                -i pbr/tests/test_hooks.py || die
+       sed \
+               -e "s:test_wsgi_script_install:_&:" \
+               -i pbr/tests/test_wsgi.py || die
        einfo "rogue tests disabled"
        sed -i '/^hacking/d' test-requirements.txt || die
 

Reply via email to